const baseUrl = '/voteapi'

const $api = {
  file: {
    image: { // 图片上传
      method: 'post',
      url: `${baseUrl}/file`
    },
  },
  share: {
    url: `${baseUrl}/wechat/jssdk/signature`,
    method: 'get',
  },
  voteing: {
    info: {
      url: `${baseUrl}/voting/:actid`,
      method: 'get',
    },
    list: {
      url: `${baseUrl}/voting`,
      method: 'get',
    },
    user: {
      url: `${baseUrl}/wechat/user/:code`,
      method: 'get',
    },
    detail: {
      url: `${baseUrl}/voting/:actid/:memberid`,
      method: 'get',
    },
    mime: {
      url: `${baseUrl}/voting/:actid/mine`,
      method: 'get',
    },
    registe: {
      url: `${baseUrl}/voting/:actid`,
      method: 'post',
    },
    vote: {
      url: `${baseUrl}/voting/:actid/:memberid`,
      method: 'post',
    }
  }
}
export default $api
